/*
 * BillGoldenGates.rexx
 *
 * USAGE: BillGoldenGates.rexx
 *
 * BillGoldenGates.rexx
 *
 * $(C): (1994, Rocco Coluccelli, Bologna)
 * $VER: BillGoldenGates.rexx 1.01 (31.Jan.1995)
 */

ADDRESS COMMAND

MAXLINE = 80

RUN '>NIL: Multiview 8svx/porta PORTNAME OLE_PLAY'
RUN '>NIL: Multiview iff/BillGGates.remote PORTNAME OLE_REMOTE'
ADDRESS OLE_PLAY WINDOWTOBACK

IF SHOW('P','OLE_DISPLAY') THEN
	ADDRESS OLE_DISPLAY QUIT

s1 = "Bill Goldengates on line one,"
CALL Print(s1 s1,)
''SAY '-r -s180 -p80' s1 s1

s1 = "Mr. Goldengates, would you please be so kind as to come in my"
s2 = "Yes, boss! Just a moment 'cause I'm"
s3 = "NOW!!!"
s4 = "I'm coming right away, boss."
CALL Print(s1 "office?",)
''SAY '-m -s140 -p120' s1 "offeece?"
CALL Print(s2,)
''SAY '-f -s170 -p140' s2
CALL Print(s3)
''SAY '-m -s70 -p65' s3
CALL Print(s4,)
''SAY '-f -s200 -p180' s4

WAIT 1
ADDRESS OLE_PLAY DOTRIGGERMETHOD "PLAY"
WAIT 1
ADDRESS OLE_REMOTE QUIT
ADDRESS OLE_PLAY QUIT

s1 = "Here I am, boss, what can I do for you?"
CALL Print(s1,)
''SAY '-f -s170 -p140' s1

ECHO "TO BE CONTINUED..."
WAIT 2

EXIT 0


/*
 *	procedure to split text onto lines of MAXLINE characters length
 */
Print: PROCEDURE EXPOSE MAXLINE

	DO i = 1 TO ARG()

		line = ARG(i)
		DO FOREVER

			IF LENGTH(line) <= MAXLINE THEN DO
				ECHO line
				LEAVE
				END

			pos = MAX(LASTPOS(' ',line,MAXLINE),POS(' ',line))
			IF pos = 0 THEN DO
				ECHO line
				LEAVE
				END

			ECHO LEFT(line,pos); line = SUBSTR(line,pos + 1)
		END
	END

RETURN
