/*
 * netOLEprint.rexx
 *
 * USAGE: netOLEprint.rexx
 *
 * netOLEprint.rexx
 *
 * $(C): (1994, Rocco Coluccelli, Bologna)
 * $VER: netOLEprint.rexx 1.00 (09.Dec.1994)
 */

ADDRESS COMMAND

MAXLINE = 80

IF ~SHOW('P','OLE_DISPLAY') THEN
	RUN '>NIL: Multiview iff/piano PORTNAME OLE_DISPLAY'

s1 = "I can do an improvement, just using some modules of the OLE System."
s2 = "Using an utility like SYS:System/CMD,"
s3 = "I redirect the print to a file into an assigned directory SPOOL:"
CALL Print(s1 s2 s3)
ADDRESS OLE_DISPLAY "OPEN NAME iff/TokenRing.1prt.2pc"
''SAY '-m -s120 -p90' s1
''SAY '-m -s140 -p120' s2 s3

ADDRESS OLE_DISPLAY "OPEN NAME iff/TokenRing.OLEprt.1"
s1 = "Running in background, an OLE module will take that file"
s2 = "to send it on the network during its' best moment."
CALL Print(s1 s2,)
''SAY '-m -s150 -p90' s1 s2
ADDRESS OLE_DISPLAY "OPEN NAME iff/TokenRing.OLEprt.2"

s1 = "In this way, my computer is free like having a printer"
s2 = "directly connected to it."
s3 = "At the same time, I spare my network an overload."
CALL Print(s1 s2,)
''SAY '-m -s140 -p120' s1 s2
ADDRESS OLE_DISPLAY "OPEN NAME iff/TokenRing.1prt.2pc"
CALL Print(s3,)
''SAY '-m -s120 -p90' s3

EXIT 0


/*
 *	procedure to split text onto lines of MAXLINE characters length
 */
Print: PROCEDURE EXPOSE MAXLINE

	DO i = 1 TO ARG()

		line = ARG(i)
		DO FOREVER

			IF LENGTH(line) <= MAXLINE THEN DO
				ECHO line
				LEAVE
				END

			pos = MAX(LASTPOS(' ',line,MAXLINE),POS(' ',line))
			IF pos = 0 THEN DO
				ECHO line
				LEAVE
				END

			ECHO LEFT(line,pos); line = SUBSTR(line,pos + 1)
		END
	END

RETURN
