/*
 * Add_libs.rexx
 *
 * USAGE: Add_libs.rexx
 *
 * This script try to add an ARexx library to the list manteined by the
 * ARexx server. Return a boolean value, 0 if success.
 *
 * $(C): (1994, Rocco Coluccelli, Bologna)
 * $VER: Add_libs.rexx 1.07 (23.Nov.1994)
 */


lib. = ''
lib.ARP   = 'rexxarplib.library'
lib.DATA  = 'datatypes.library'
lib.GUIDE = 'amigaguide.library'
lib.LOC   = 'locale.library'
lib.MATH  = 'rexxmathlib.library'
lib.REQ   = 'rexxreqtools.library'
lib.RMF   = 'rexxRMF.library'
lib.SUPP  = 'rexxsupport.library'

pri = 0; offset = -30; version = 0


DO i = 1 TO ARG()

	INTERPRET 'libname = lib.' || ARG(i)

	IF SHOW('L',libname) THEN
		ITERATE

	IF ~ADDLIB(libname,pri,offset,version) THEN
		RETURN 0
END


RETURN 1
